Class Specialization
Points Only Tree Node
Spec for IntervalTreeNode that stores only the relevant point in each node meaning the endpoint of the interval in the list sorted by endpoints (list2) and only the beginpoint of the interval in the list sorted by beginpoints (list1).

IntervalTreeNode

Points Only Tree Node

IntervalTreeNode<TInterval, StorePointsOnly>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TInterval | The interval type to store in the node.

Specialization of
IntervalTreeNode
Metafunctions

Cargo | Type of additional data stored in an object. (IntervalTreeNode)
ListType | Type of lists in tree nodes. (IntervalTreeNode)
Value | Type of the items in the container or behind an iterator. (IntervalTreeNode)

Data Members

center | The center of the interval of type TValue. (IntervalTreeNode)
list1 | Sorted list of pointers to intervals, sorted in ascending according to their left boundary points. (IntervalTreeNode)
list2 | Sorted list of pointers to intervals, sorted in descending according to their right boundary points. (IntervalTreeNode)

Member Functions

IntervalTreeNode | Default constructor. (IntervalTreeNode)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00